# Class Parse

java.lang.Object
org.a11y.brlapi.Parse

public abstract class Parse extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_DISPLAY`
`static final byte`
`DEFAULT_RANGE_MINIMUM`
`static final String`
`LEAVE_CURSOR`
`static final int`
`MINIMUM_CURSOR_POSITION`
`static final int`
`MINIMUM_DISPLAY_NUMBER`
`static final String`
`NO_CURSOR`

## Method Summary

Modifier and Type
Method
Description
`static Boolean`
`asBoolean(String description, String operand)`
`static byte`
`asByte(String description, String operand)`
`static byte`
`asByte(String description, String operand, byte minimum)`
`static byte`
`asByte(String description, String operand, byte minimum, byte maximum)`
`static int`
`asCursorPosition(String operand)`
`static int`
`asDisplayNumber(String operand)`
`static byte`
`asDots(String description, String operand)`
`static int`
`asInt(String description, String operand)`
`static int`
`asInt(String description, String operand, int minimum)`
`static int`
`asInt(String description, String operand, int minimum, int maximum)`
`static long`
`asLong(String description, String operand)`
`static long`
`asLong(String description, String operand, long minimum)`
`static long`
`asLong(String description, String operand, long minimum, long maximum)`
`static short`
`asShort(String description, String operand)`
`static short`
`asShort(String description, String operand, short minimum)`
`static short`
`asShort(String description, String operand, short minimum, short maximum)`
`static void`
`checkMaximum(String description, long value, long maximum)`
`static void`
`checkMinimum(String description, long value, long minimum)`
`static void`
`checkRange(String description, long value, long minimum, long maximum)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_RANGE_MINIMUM

public static final byte DEFAULT_RANGE_MINIMUM

See Also:
  - Constant Field Values

### MINIMUM_CURSOR_POSITION

public static final int MINIMUM_CURSOR_POSITION

See Also:
  - Constant Field Values

### NO_CURSOR

public static final String NO_CURSOR

See Also:
  - Constant Field Values

### LEAVE_CURSOR

public static final String LEAVE_CURSOR

See Also:
  - Constant Field Values

### MINIMUM_DISPLAY_NUMBER

public static final int MINIMUM_DISPLAY_NUMBER

See Also:
  - Constant Field Values

### DEFAULT_DISPLAY

public static final String DEFAULT_DISPLAY

See Also:
  - Constant Field Values

## Method Details

### asBoolean

public static Boolean asBoolean(String description, String operand) throws SyntaxException

Throws:
  `SyntaxException`

### checkMinimum

public static void checkMinimum(String description, long value, long minimum) throws SyntaxException

Throws:
  `SyntaxException`

### checkMaximum

public static void checkMaximum(String description, long value, long maximum) throws SyntaxException

Throws:
  `SyntaxException`

### checkRange

public static void checkRange(String description, long value, long minimum, long maximum) throws SyntaxException

Throws:
  `SyntaxException`

### asLong

public static long asLong(String description, String operand, long minimum, long maximum) throws SyntaxException

Throws:
  `SyntaxException`

### asLong

public static long asLong(String description, String operand, long minimum) throws SyntaxException

Throws:
  `SyntaxException`

### asLong

public static long asLong(String description, String operand) throws SyntaxException

Throws:
  `SyntaxException`

### asInt

public static int asInt(String description, String operand, int minimum, int maximum) throws SyntaxException

Throws:
  `SyntaxException`

### asInt

public static int asInt(String description, String operand, int minimum) throws SyntaxException

Throws:
  `SyntaxException`

### asInt

public static int asInt(String description, String operand) throws SyntaxException

Throws:
  `SyntaxException`

### asShort

public static short asShort(String description, String operand, short minimum, short maximum) throws SyntaxException

Throws:
  `SyntaxException`

### asShort

public static short asShort(String description, String operand, short minimum) throws SyntaxException

Throws:
  `SyntaxException`

### asShort

public static short asShort(String description, String operand) throws SyntaxException

Throws:
  `SyntaxException`

### asByte

public static byte asByte(String description, String operand, byte minimum, byte maximum) throws SyntaxException

Throws:
  `SyntaxException`

### asByte

public static byte asByte(String description, String operand, byte minimum) throws SyntaxException

Throws:
  `SyntaxException`

### asByte

public static byte asByte(String description, String operand) throws SyntaxException

Throws:
  `SyntaxException`

### asDots

public static byte asDots(String description, String operand) throws SyntaxException

Throws:
  `SyntaxException`

### asCursorPosition

public static int asCursorPosition(String operand) throws SyntaxException

Throws:
  `SyntaxException`

### asDisplayNumber

public static int asDisplayNumber(String operand) throws SyntaxException

Throws:
  `SyntaxException`